Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 02 Mar 2021 09:16:28 +0000

Hi Krishan Singh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Items from Order# 7438482864 AWB 290141741982 are out for delivery today, please be available to receive it. Track it https://centrepoint.app.link/I5BP14oDeeb

Yesterday I receive this detail in inbox by Centrepoint but I didn't receive yet. 
What I should think about online services ..? Is not Good..? Or some thing else. If can't deliver at time should be inform to the Coustomer . https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2175606